// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.36.5
// 	protoc        v4.25.6
// source: lifecycle_template.proto

package gen

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	emptypb "google.golang.org/protobuf/types/known/emptypb"
	reflect "reflect"
	sync "sync"
	unsafe "unsafe"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// LifecycleTemplateSortableField defines enums that allow sorting a paginated
// list of LifecycleTemplates.
type LifecycleTemplateSortableField int32

const (
	LifecycleTemplateSortableField_UPDATED_AT_ASC  LifecycleTemplateSortableField = 0
	LifecycleTemplateSortableField_UPDATED_AT_DESC LifecycleTemplateSortableField = 1
)

// Enum value maps for LifecycleTemplateSortableField.
var (
	LifecycleTemplateSortableField_name = map[int32]string{
		0: "UPDATED_AT_ASC",
		1: "UPDATED_AT_DESC",
	}
	LifecycleTemplateSortableField_value = map[string]int32{
		"UPDATED_AT_ASC":  0,
		"UPDATED_AT_DESC": 1,
	}
)

func (x LifecycleTemplateSortableField) Enum() *LifecycleTemplateSortableField {
	p := new(LifecycleTemplateSortableField)
	*p = x
	return p
}

func (x LifecycleTemplateSortableField) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (LifecycleTemplateSortableField) Descriptor() protoreflect.EnumDescriptor {
	return file_lifecycle_template_proto_enumTypes[0].Descriptor()
}

func (LifecycleTemplateSortableField) Type() protoreflect.EnumType {
	return &file_lifecycle_template_proto_enumTypes[0]
}

func (x LifecycleTemplateSortableField) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use LifecycleTemplateSortableField.Descriptor instead.
func (LifecycleTemplateSortableField) EnumDescriptor() ([]byte, []int) {
	return file_lifecycle_template_proto_rawDescGZIP(), []int{0}
}

// GetLifecycleTemplateByIdRequest is the input for retrieving a
// LifecycleTemplate by it's ID.
type GetLifecycleTemplateByIdRequest struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Id            string                 `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *GetLifecycleTemplateByIdRequest) Reset() {
	*x = GetLifecycleTemplateByIdRequest{}
	mi := &file_lifecycle_template_proto_msgTypes[0]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *GetLifecycleTemplateByIdRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetLifecycleTemplateByIdRequest) ProtoMessage() {}

func (x *GetLifecycleTemplateByIdRequest) ProtoReflect() protoreflect.Message {
	mi := &file_lifecycle_template_proto_msgTypes[0]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetLifecycleTemplateByIdRequest.ProtoReflect.Descriptor instead.
func (*GetLifecycleTemplateByIdRequest) Descriptor() ([]byte, []int) {
	return file_lifecycle_template_proto_rawDescGZIP(), []int{0}
}

func (x *GetLifecycleTemplateByIdRequest) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

// GetLifecycleTemplatesRequest is the input for retrieving a paginated list of
// LifecycleTemplates.
type GetLifecycleTemplatesRequest struct {
	state             protoimpl.MessageState          `protogen:"open.v1"`
	OrgId             *string                         `protobuf:"bytes,1,opt,name=org_id,json=orgId,proto3,oneof" json:"org_id,omitempty"`
	PaginationOptions *PaginationOptions              `protobuf:"bytes,2,opt,name=pagination_options,json=paginationOptions,proto3,oneof" json:"pagination_options,omitempty"`
	Sort              *LifecycleTemplateSortableField `protobuf:"varint,3,opt,name=sort,proto3,enum=martiancloud.phobos.api.lifecycletemplate.LifecycleTemplateSortableField,oneof" json:"sort,omitempty"`
	Scopes            []ScopeType                     `protobuf:"varint,4,rep,packed,name=scopes,proto3,enum=martiancloud.phobos.api.scope.ScopeType" json:"scopes,omitempty"`
	ProjectId         *string                         `protobuf:"bytes,5,opt,name=project_id,json=projectId,proto3,oneof" json:"project_id,omitempty"`
	unknownFields     protoimpl.UnknownFields
	sizeCache         protoimpl.SizeCache
}

func (x *GetLifecycleTemplatesRequest) Reset() {
	*x = GetLifecycleTemplatesRequest{}
	mi := &file_lifecycle_template_proto_msgTypes[1]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *GetLifecycleTemplatesRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetLifecycleTemplatesRequest) ProtoMessage() {}

func (x *GetLifecycleTemplatesRequest) ProtoReflect() protoreflect.Message {
	mi := &file_lifecycle_template_proto_msgTypes[1]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetLifecycleTemplatesRequest.ProtoReflect.Descriptor instead.
func (*GetLifecycleTemplatesRequest) Descriptor() ([]byte, []int) {
	return file_lifecycle_template_proto_rawDescGZIP(), []int{1}
}

func (x *GetLifecycleTemplatesRequest) GetOrgId() string {
	if x != nil && x.OrgId != nil {
		return *x.OrgId
	}
	return ""
}

func (x *GetLifecycleTemplatesRequest) GetPaginationOptions() *PaginationOptions {
	if x != nil {
		return x.PaginationOptions
	}
	return nil
}

func (x *GetLifecycleTemplatesRequest) GetSort() LifecycleTemplateSortableField {
	if x != nil && x.Sort != nil {
		return *x.Sort
	}
	return LifecycleTemplateSortableField_UPDATED_AT_ASC
}

func (x *GetLifecycleTemplatesRequest) GetScopes() []ScopeType {
	if x != nil {
		return x.Scopes
	}
	return nil
}

func (x *GetLifecycleTemplatesRequest) GetProjectId() string {
	if x != nil && x.ProjectId != nil {
		return *x.ProjectId
	}
	return ""
}

// CreateLifecycleTemplateRequest is the input for creating a new
// LifecycleTemplate.
type CreateLifecycleTemplateRequest struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	OrgId         *string                `protobuf:"bytes,1,opt,name=org_id,json=orgId,proto3,oneof" json:"org_id,omitempty"`
	Scope         ScopeType              `protobuf:"varint,2,opt,name=scope,proto3,enum=martiancloud.phobos.api.scope.ScopeType" json:"scope,omitempty"`
	ProjectId     *string                `protobuf:"bytes,3,opt,name=project_id,json=projectId,proto3,oneof" json:"project_id,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *CreateLifecycleTemplateRequest) Reset() {
	*x = CreateLifecycleTemplateRequest{}
	mi := &file_lifecycle_template_proto_msgTypes[2]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *CreateLifecycleTemplateRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateLifecycleTemplateRequest) ProtoMessage() {}

func (x *CreateLifecycleTemplateRequest) ProtoReflect() protoreflect.Message {
	mi := &file_lifecycle_template_proto_msgTypes[2]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateLifecycleTemplateRequest.ProtoReflect.Descriptor instead.
func (*CreateLifecycleTemplateRequest) Descriptor() ([]byte, []int) {
	return file_lifecycle_template_proto_rawDescGZIP(), []int{2}
}

func (x *CreateLifecycleTemplateRequest) GetOrgId() string {
	if x != nil && x.OrgId != nil {
		return *x.OrgId
	}
	return ""
}

func (x *CreateLifecycleTemplateRequest) GetScope() ScopeType {
	if x != nil {
		return x.Scope
	}
	return ScopeType_GLOBAL
}

func (x *CreateLifecycleTemplateRequest) GetProjectId() string {
	if x != nil && x.ProjectId != nil {
		return *x.ProjectId
	}
	return ""
}

type GetLifecycleTemplateDataRequest struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Id            string                 `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *GetLifecycleTemplateDataRequest) Reset() {
	*x = GetLifecycleTemplateDataRequest{}
	mi := &file_lifecycle_template_proto_msgTypes[3]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *GetLifecycleTemplateDataRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetLifecycleTemplateDataRequest) ProtoMessage() {}

func (x *GetLifecycleTemplateDataRequest) ProtoReflect() protoreflect.Message {
	mi := &file_lifecycle_template_proto_msgTypes[3]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetLifecycleTemplateDataRequest.ProtoReflect.Descriptor instead.
func (*GetLifecycleTemplateDataRequest) Descriptor() ([]byte, []int) {
	return file_lifecycle_template_proto_rawDescGZIP(), []int{3}
}

func (x *GetLifecycleTemplateDataRequest) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

type GetLifecycleTemplateDataResponse struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	ChunkData     []byte                 `protobuf:"bytes,1,opt,name=chunk_data,json=chunkData,proto3" json:"chunk_data,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *GetLifecycleTemplateDataResponse) Reset() {
	*x = GetLifecycleTemplateDataResponse{}
	mi := &file_lifecycle_template_proto_msgTypes[4]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *GetLifecycleTemplateDataResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetLifecycleTemplateDataResponse) ProtoMessage() {}

func (x *GetLifecycleTemplateDataResponse) ProtoReflect() protoreflect.Message {
	mi := &file_lifecycle_template_proto_msgTypes[4]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetLifecycleTemplateDataResponse.ProtoReflect.Descriptor instead.
func (*GetLifecycleTemplateDataResponse) Descriptor() ([]byte, []int) {
	return file_lifecycle_template_proto_rawDescGZIP(), []int{4}
}

func (x *GetLifecycleTemplateDataResponse) GetChunkData() []byte {
	if x != nil {
		return x.ChunkData
	}
	return nil
}

// UploadLifecycleTemplateRequest is the input for uploading to a
// LifecycleTemplate.  Upload is allowed only once.
type UploadLifecycleTemplateRequest struct {
	state protoimpl.MessageState `protogen:"open.v1"`
	// Types that are valid to be assigned to Data:
	//
	//	*UploadLifecycleTemplateRequest_Info
	//	*UploadLifecycleTemplateRequest_ChunkData
	Data          isUploadLifecycleTemplateRequest_Data `protobuf_oneof:"data"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *UploadLifecycleTemplateRequest) Reset() {
	*x = UploadLifecycleTemplateRequest{}
	mi := &file_lifecycle_template_proto_msgTypes[5]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *UploadLifecycleTemplateRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UploadLifecycleTemplateRequest) ProtoMessage() {}

func (x *UploadLifecycleTemplateRequest) ProtoReflect() protoreflect.Message {
	mi := &file_lifecycle_template_proto_msgTypes[5]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UploadLifecycleTemplateRequest.ProtoReflect.Descriptor instead.
func (*UploadLifecycleTemplateRequest) Descriptor() ([]byte, []int) {
	return file_lifecycle_template_proto_rawDescGZIP(), []int{5}
}

func (x *UploadLifecycleTemplateRequest) GetData() isUploadLifecycleTemplateRequest_Data {
	if x != nil {
		return x.Data
	}
	return nil
}

func (x *UploadLifecycleTemplateRequest) GetInfo() *UploadLifecycleTemplateMetadata {
	if x != nil {
		if x, ok := x.Data.(*UploadLifecycleTemplateRequest_Info); ok {
			return x.Info
		}
	}
	return nil
}

func (x *UploadLifecycleTemplateRequest) GetChunkData() []byte {
	if x != nil {
		if x, ok := x.Data.(*UploadLifecycleTemplateRequest_ChunkData); ok {
			return x.ChunkData
		}
	}
	return nil
}

type isUploadLifecycleTemplateRequest_Data interface {
	isUploadLifecycleTemplateRequest_Data()
}

type UploadLifecycleTemplateRequest_Info struct {
	Info *UploadLifecycleTemplateMetadata `protobuf:"bytes,1,opt,name=info,proto3,oneof"`
}

type UploadLifecycleTemplateRequest_ChunkData struct {
	ChunkData []byte `protobuf:"bytes,2,opt,name=chunk_data,json=chunkData,proto3,oneof"`
}

func (*UploadLifecycleTemplateRequest_Info) isUploadLifecycleTemplateRequest_Data() {}

func (*UploadLifecycleTemplateRequest_ChunkData) isUploadLifecycleTemplateRequest_Data() {}

// UploadLifecycleTemplateMetadata
type UploadLifecycleTemplateMetadata struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Id            string                 `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *UploadLifecycleTemplateMetadata) Reset() {
	*x = UploadLifecycleTemplateMetadata{}
	mi := &file_lifecycle_template_proto_msgTypes[6]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *UploadLifecycleTemplateMetadata) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UploadLifecycleTemplateMetadata) ProtoMessage() {}

func (x *UploadLifecycleTemplateMetadata) ProtoReflect() protoreflect.Message {
	mi := &file_lifecycle_template_proto_msgTypes[6]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UploadLifecycleTemplateMetadata.ProtoReflect.Descriptor instead.
func (*UploadLifecycleTemplateMetadata) Descriptor() ([]byte, []int) {
	return file_lifecycle_template_proto_rawDescGZIP(), []int{6}
}

func (x *UploadLifecycleTemplateMetadata) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

// LifecycleTemplate defines a container that houses resources within Phobos.
type LifecycleTemplate struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Metadata      *ResourceMetadata      `protobuf:"bytes,1,opt,name=metadata,proto3" json:"metadata,omitempty"`
	CreatedBy     string                 `protobuf:"bytes,2,opt,name=created_by,json=createdBy,proto3" json:"created_by,omitempty"`
	OrgId         string                 `protobuf:"bytes,3,opt,name=org_id,json=orgId,proto3" json:"org_id,omitempty"`
	Status        string                 `protobuf:"bytes,4,opt,name=status,proto3" json:"status,omitempty"`
	Scope         string                 `protobuf:"bytes,5,opt,name=scope,proto3" json:"scope,omitempty"`
	ProjectId     *string                `protobuf:"bytes,6,opt,name=project_id,json=projectId,proto3,oneof" json:"project_id,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *LifecycleTemplate) Reset() {
	*x = LifecycleTemplate{}
	mi := &file_lifecycle_template_proto_msgTypes[7]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *LifecycleTemplate) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*LifecycleTemplate) ProtoMessage() {}

func (x *LifecycleTemplate) ProtoReflect() protoreflect.Message {
	mi := &file_lifecycle_template_proto_msgTypes[7]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use LifecycleTemplate.ProtoReflect.Descriptor instead.
func (*LifecycleTemplate) Descriptor() ([]byte, []int) {
	return file_lifecycle_template_proto_rawDescGZIP(), []int{7}
}

func (x *LifecycleTemplate) GetMetadata() *ResourceMetadata {
	if x != nil {
		return x.Metadata
	}
	return nil
}

func (x *LifecycleTemplate) GetCreatedBy() string {
	if x != nil {
		return x.CreatedBy
	}
	return ""
}

func (x *LifecycleTemplate) GetOrgId() string {
	if x != nil {
		return x.OrgId
	}
	return ""
}

func (x *LifecycleTemplate) GetStatus() string {
	if x != nil {
		return x.Status
	}
	return ""
}

func (x *LifecycleTemplate) GetScope() string {
	if x != nil {
		return x.Scope
	}
	return ""
}

func (x *LifecycleTemplate) GetProjectId() string {
	if x != nil && x.ProjectId != nil {
		return *x.ProjectId
	}
	return ""
}

// GetLifecycleTemplatesResponse is the paginated list of LifecycleTemplates
type GetLifecycleTemplatesResponse struct {
	state              protoimpl.MessageState `protogen:"open.v1"`
	PageInfo           *PageInfo              `protobuf:"bytes,1,opt,name=page_info,json=pageInfo,proto3" json:"page_info,omitempty"`
	LifecycleTemplates []*LifecycleTemplate   `protobuf:"bytes,2,rep,name=lifecycle_templates,json=lifecycleTemplates,proto3" json:"lifecycle_templates,omitempty"`
	unknownFields      protoimpl.UnknownFields
	sizeCache          protoimpl.SizeCache
}

func (x *GetLifecycleTemplatesResponse) Reset() {
	*x = GetLifecycleTemplatesResponse{}
	mi := &file_lifecycle_template_proto_msgTypes[8]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *GetLifecycleTemplatesResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetLifecycleTemplatesResponse) ProtoMessage() {}

func (x *GetLifecycleTemplatesResponse) ProtoReflect() protoreflect.Message {
	mi := &file_lifecycle_template_proto_msgTypes[8]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetLifecycleTemplatesResponse.ProtoReflect.Descriptor instead.
func (*GetLifecycleTemplatesResponse) Descriptor() ([]byte, []int) {
	return file_lifecycle_template_proto_rawDescGZIP(), []int{8}
}

func (x *GetLifecycleTemplatesResponse) GetPageInfo() *PageInfo {
	if x != nil {
		return x.PageInfo
	}
	return nil
}

func (x *GetLifecycleTemplatesResponse) GetLifecycleTemplates() []*LifecycleTemplate {
	if x != nil {
		return x.LifecycleTemplates
	}
	return nil
}

var File_lifecycle_template_proto protoreflect.FileDescriptor

var file_lifecycle_template_proto_rawDesc = string([]byte{
	0x0a, 0x18, 0x6c, 0x69, 0x66, 0x65, 0x63, 0x79, 0x63, 0x6c, 0x65, 0x5f, 0x74, 0x65, 0x6d, 0x70,
	0x6c, 0x61, 0x74, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x29, 0x6d, 0x61, 0x72, 0x74,
	0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e,
	0x61, 0x70, 0x69, 0x2e, 0x6c, 0x69, 0x66, 0x65, 0x63, 0x79, 0x63, 0x6c, 0x65, 0x74, 0x65, 0x6d,
	0x70, 0x6c, 0x61, 0x74, 0x65, 0x1a, 0x0e, 0x6d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x10, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f,
	0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x0b, 0x73, 0x63, 0x6f, 0x70, 0x65, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1b, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x65, 0x6d, 0x70, 0x74, 0x79, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x22, 0x31, 0x0a, 0x1f, 0x47, 0x65, 0x74, 0x4c, 0x69, 0x66, 0x65, 0x63, 0x79, 0x63, 0x6c,
	0x65, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x42, 0x79, 0x49, 0x64, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x02, 0x69, 0x64, 0x22, 0xa9, 0x03, 0x0a, 0x1c, 0x47, 0x65, 0x74, 0x4c, 0x69, 0x66, 0x65,
	0x63, 0x79, 0x63, 0x6c, 0x65, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x73, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x1a, 0x0a, 0x06, 0x6f, 0x72, 0x67, 0x5f, 0x69, 0x64, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x09, 0x48, 0x00, 0x52, 0x05, 0x6f, 0x72, 0x67, 0x49, 0x64, 0x88, 0x01,
	0x01, 0x12, 0x69, 0x0a, 0x12, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x5f,
	0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x35, 0x2e,
	0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f,
	0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69,
	0x6f, 0x6e, 0x2e, 0x50, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x4f, 0x70, 0x74,
	0x69, 0x6f, 0x6e, 0x73, 0x48, 0x01, 0x52, 0x11, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69,
	0x6f, 0x6e, 0x4f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x88, 0x01, 0x01, 0x12, 0x62, 0x0a, 0x04,
	0x73, 0x6f, 0x72, 0x74, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x49, 0x2e, 0x6d, 0x61, 0x72,
	0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73,
	0x2e, 0x61, 0x70, 0x69, 0x2e, 0x6c, 0x69, 0x66, 0x65, 0x63, 0x79, 0x63, 0x6c, 0x65, 0x74, 0x65,
	0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x2e, 0x4c, 0x69, 0x66, 0x65, 0x63, 0x79, 0x63, 0x6c, 0x65,
	0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x53, 0x6f, 0x72, 0x74, 0x61, 0x62, 0x6c, 0x65,
	0x46, 0x69, 0x65, 0x6c, 0x64, 0x48, 0x02, 0x52, 0x04, 0x73, 0x6f, 0x72, 0x74, 0x88, 0x01, 0x01,
	0x12, 0x40, 0x0a, 0x06, 0x73, 0x63, 0x6f, 0x70, 0x65, 0x73, 0x18, 0x04, 0x20, 0x03, 0x28, 0x0e,
	0x32, 0x28, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e,
	0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x73, 0x63, 0x6f, 0x70, 0x65,
	0x2e, 0x53, 0x63, 0x6f, 0x70, 0x65, 0x54, 0x79, 0x70, 0x65, 0x52, 0x06, 0x73, 0x63, 0x6f, 0x70,
	0x65, 0x73, 0x12, 0x22, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x5f, 0x69, 0x64,
	0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x48, 0x03, 0x52, 0x09, 0x70, 0x72, 0x6f, 0x6a, 0x65, 0x63,
	0x74, 0x49, 0x64, 0x88, 0x01, 0x01, 0x42, 0x09, 0x0a, 0x07, 0x5f, 0x6f, 0x72, 0x67, 0x5f, 0x69,
	0x64, 0x42, 0x15, 0x0a, 0x13, 0x5f, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e,
	0x5f, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x42, 0x07, 0x0a, 0x05, 0x5f, 0x73, 0x6f, 0x72,
	0x74, 0x42, 0x0d, 0x0a, 0x0b, 0x5f, 0x70, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x5f, 0x69, 0x64,
	0x22, 0xba, 0x01, 0x0a, 0x1e, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x4c, 0x69, 0x66, 0x65, 0x63,
	0x79, 0x63, 0x6c, 0x65, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x12, 0x1a, 0x0a, 0x06, 0x6f, 0x72, 0x67, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x09, 0x48, 0x00, 0x52, 0x05, 0x6f, 0x72, 0x67, 0x49, 0x64, 0x88, 0x01, 0x01, 0x12,
	0x3e, 0x0a, 0x05, 0x73, 0x63, 0x6f, 0x70, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x28,
	0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68,
	0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x73, 0x63, 0x6f, 0x70, 0x65, 0x2e, 0x53,
	0x63, 0x6f, 0x70, 0x65, 0x54, 0x79, 0x70, 0x65, 0x52, 0x05, 0x73, 0x63, 0x6f, 0x70, 0x65, 0x12,
	0x22, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x5f, 0x69, 0x64, 0x18, 0x03, 0x20,
	0x01, 0x28, 0x09, 0x48, 0x01, 0x52, 0x09, 0x70, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x49, 0x64,
	0x88, 0x01, 0x01, 0x42, 0x09, 0x0a, 0x07, 0x5f, 0x6f, 0x72, 0x67, 0x5f, 0x69, 0x64, 0x42, 0x0d,
	0x0a, 0x0b, 0x5f, 0x70, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x5f, 0x69, 0x64, 0x22, 0x31, 0x0a,
	0x1f, 0x47, 0x65, 0x74, 0x4c, 0x69, 0x66, 0x65, 0x63, 0x79, 0x63, 0x6c, 0x65, 0x54, 0x65, 0x6d,
	0x70, 0x6c, 0x61, 0x74, 0x65, 0x44, 0x61, 0x74, 0x61, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x69, 0x64,
	0x22, 0x41, 0x0a, 0x20, 0x47, 0x65, 0x74, 0x4c, 0x69, 0x66, 0x65, 0x63, 0x79, 0x63, 0x6c, 0x65,
	0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x44, 0x61, 0x74, 0x61, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x12, 0x1d, 0x0a, 0x0a, 0x63, 0x68, 0x75, 0x6e, 0x6b, 0x5f, 0x64, 0x61,
	0x74, 0x61, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0c, 0x52, 0x09, 0x63, 0x68, 0x75, 0x6e, 0x6b, 0x44,
	0x61, 0x74, 0x61, 0x22, 0xab, 0x01, 0x0a, 0x1e, 0x55, 0x70, 0x6c, 0x6f, 0x61, 0x64, 0x4c, 0x69,
	0x66, 0x65, 0x63, 0x79, 0x63, 0x6c, 0x65, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x60, 0x0a, 0x04, 0x69, 0x6e, 0x66, 0x6f, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x4a, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c,
	0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x6c,
	0x69, 0x66, 0x65, 0x63, 0x79, 0x63, 0x6c, 0x65, 0x74, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65,
	0x2e, 0x55, 0x70, 0x6c, 0x6f, 0x61, 0x64, 0x4c, 0x69, 0x66, 0x65, 0x63, 0x79, 0x63, 0x6c, 0x65,
	0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x4d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61,
	0x48, 0x00, 0x52, 0x04, 0x69, 0x6e, 0x66, 0x6f, 0x12, 0x1f, 0x0a, 0x0a, 0x63, 0x68, 0x75, 0x6e,
	0x6b, 0x5f, 0x64, 0x61, 0x74, 0x61, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0c, 0x48, 0x00, 0x52, 0x09,
	0x63, 0x68, 0x75, 0x6e, 0x6b, 0x44, 0x61, 0x74, 0x61, 0x42, 0x06, 0x0a, 0x04, 0x64, 0x61, 0x74,
	0x61, 0x22, 0x31, 0x0a, 0x1f, 0x55, 0x70, 0x6c, 0x6f, 0x61, 0x64, 0x4c, 0x69, 0x66, 0x65, 0x63,
	0x79, 0x63, 0x6c, 0x65, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x4d, 0x65, 0x74, 0x61,
	0x64, 0x61, 0x74, 0x61, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x02, 0x69, 0x64, 0x22, 0xfa, 0x01, 0x0a, 0x11, 0x4c, 0x69, 0x66, 0x65, 0x63, 0x79, 0x63,
	0x6c, 0x65, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x12, 0x4e, 0x0a, 0x08, 0x6d, 0x65,
	0x74, 0x61, 0x64, 0x61, 0x74, 0x61, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x32, 0x2e, 0x6d,
	0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62,
	0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x6d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61, 0x2e,
	0x52, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x4d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61,
	0x52, 0x08, 0x6d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61, 0x12, 0x1d, 0x0a, 0x0a, 0x63, 0x72,
	0x65, 0x61, 0x74, 0x65, 0x64, 0x5f, 0x62, 0x79, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09,
	0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x42, 0x79, 0x12, 0x15, 0x0a, 0x06, 0x6f, 0x72, 0x67,
	0x5f, 0x69, 0x64, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x6f, 0x72, 0x67, 0x49, 0x64,
	0x12, 0x16, 0x0a, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x12, 0x14, 0x0a, 0x05, 0x73, 0x63, 0x6f, 0x70,
	0x65, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x73, 0x63, 0x6f, 0x70, 0x65, 0x12, 0x22,
	0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x5f, 0x69, 0x64, 0x18, 0x06, 0x20, 0x01,
	0x28, 0x09, 0x48, 0x00, 0x52, 0x09, 0x70, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x49, 0x64, 0x88,
	0x01, 0x01, 0x42, 0x0d, 0x0a, 0x0b, 0x5f, 0x70, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x5f, 0x69,
	0x64, 0x22, 0xd9, 0x01, 0x0a, 0x1d, 0x47, 0x65, 0x74, 0x4c, 0x69, 0x66, 0x65, 0x63, 0x79, 0x63,
	0x6c, 0x65, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f,
	0x6e, 0x73, 0x65, 0x12, 0x49, 0x0a, 0x09, 0x70, 0x61, 0x67, 0x65, 0x5f, 0x69, 0x6e, 0x66, 0x6f,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x2c, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e,
	0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69,
	0x2e, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x50, 0x61, 0x67, 0x65,
	0x49, 0x6e, 0x66, 0x6f, 0x52, 0x08, 0x70, 0x61, 0x67, 0x65, 0x49, 0x6e, 0x66, 0x6f, 0x12, 0x6d,
	0x0a, 0x13, 0x6c, 0x69, 0x66, 0x65, 0x63, 0x79, 0x63, 0x6c, 0x65, 0x5f, 0x74, 0x65, 0x6d, 0x70,
	0x6c, 0x61, 0x74, 0x65, 0x73, 0x18, 0x02, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x3c, 0x2e, 0x6d, 0x61,
	0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f,
	0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x6c, 0x69, 0x66, 0x65, 0x63, 0x79, 0x63, 0x6c, 0x65, 0x74,
	0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x2e, 0x4c, 0x69, 0x66, 0x65, 0x63, 0x79, 0x63, 0x6c,
	0x65, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x52, 0x12, 0x6c, 0x69, 0x66, 0x65, 0x63,
	0x79, 0x63, 0x6c, 0x65, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x73, 0x2a, 0x49, 0x0a,
	0x1e, 0x4c, 0x69, 0x66, 0x65, 0x63, 0x79, 0x63, 0x6c, 0x65, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61,
	0x74, 0x65, 0x53, 0x6f, 0x72, 0x74, 0x61, 0x62, 0x6c, 0x65, 0x46, 0x69, 0x65, 0x6c, 0x64, 0x12,
	0x12, 0x0a, 0x0e, 0x55, 0x50, 0x44, 0x41, 0x54, 0x45, 0x44, 0x5f, 0x41, 0x54, 0x5f, 0x41, 0x53,
	0x43, 0x10, 0x00, 0x12, 0x13, 0x0a, 0x0f, 0x55, 0x50, 0x44, 0x41, 0x54, 0x45, 0x44, 0x5f, 0x41,
	0x54, 0x5f, 0x44, 0x45, 0x53, 0x43, 0x10, 0x01, 0x32, 0xd0, 0x06, 0x0a, 0x12, 0x4c, 0x69, 0x66,
	0x65, 0x63, 0x79, 0x63, 0x6c, 0x65, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x73, 0x12,
	0xa6, 0x01, 0x0a, 0x18, 0x47, 0x65, 0x74, 0x4c, 0x69, 0x66, 0x65, 0x63, 0x79, 0x63, 0x6c, 0x65,
	0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x42, 0x79, 0x49, 0x44, 0x12, 0x4a, 0x2e, 0x6d,
	0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62,
	0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x6c, 0x69, 0x66, 0x65, 0x63, 0x79, 0x63, 0x6c, 0x65,
	0x74, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x2e, 0x47, 0x65, 0x74, 0x4c, 0x69, 0x66, 0x65,
	0x63, 0x79, 0x63, 0x6c, 0x65, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x42, 0x79, 0x49,
	0x64, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x3c, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69,
	0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61,
	0x70, 0x69, 0x2e, 0x6c, 0x69, 0x66, 0x65, 0x63, 0x79, 0x63, 0x6c, 0x65, 0x74, 0x65, 0x6d, 0x70,
	0x6c, 0x61, 0x74, 0x65, 0x2e, 0x4c, 0x69, 0x66, 0x65, 0x63, 0x79, 0x63, 0x6c, 0x65, 0x54, 0x65,
	0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x22, 0x00, 0x12, 0xac, 0x01, 0x0a, 0x15, 0x47, 0x65, 0x74,
	0x4c, 0x69, 0x66, 0x65, 0x63, 0x79, 0x63, 0x6c, 0x65, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74,
	0x65, 0x73, 0x12, 0x47, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75,
	0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x6c, 0x69, 0x66,
	0x65, 0x63, 0x79, 0x63, 0x6c, 0x65, 0x74, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x2e, 0x47,
	0x65, 0x74, 0x4c, 0x69, 0x66, 0x65, 0x63, 0x79, 0x63, 0x6c, 0x65, 0x54, 0x65, 0x6d, 0x70, 0x6c,
	0x61, 0x74, 0x65, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x48, 0x2e, 0x6d, 0x61,
	0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f,
	0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x6c, 0x69, 0x66, 0x65, 0x63, 0x79, 0x63, 0x6c, 0x65, 0x74,
	0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x2e, 0x47, 0x65, 0x74, 0x4c, 0x69, 0x66, 0x65, 0x63,
	0x79, 0x63, 0x6c, 0x65, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x73, 0x52, 0x65, 0x73,
	0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x00, 0x12, 0xa4, 0x01, 0x0a, 0x17, 0x43, 0x72, 0x65, 0x61,
	0x74, 0x65, 0x4c, 0x69, 0x66, 0x65, 0x63, 0x79, 0x63, 0x6c, 0x65, 0x54, 0x65, 0x6d, 0x70, 0x6c,
	0x61, 0x74, 0x65, 0x12, 0x49, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f,
	0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x6c, 0x69,
	0x66, 0x65, 0x63, 0x79, 0x63, 0x6c, 0x65, 0x74, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x2e,
	0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x4c, 0x69, 0x66, 0x65, 0x63, 0x79, 0x63, 0x6c, 0x65, 0x54,
	0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x3c,
	0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68,
	0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x6c, 0x69, 0x66, 0x65, 0x63, 0x79, 0x63,
	0x6c, 0x65, 0x74, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x2e, 0x4c, 0x69, 0x66, 0x65, 0x63,
	0x79, 0x63, 0x6c, 0x65, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x22, 0x00, 0x12, 0x80,
	0x01, 0x0a, 0x17, 0x55, 0x70, 0x6c, 0x6f, 0x61, 0x64, 0x4c, 0x69, 0x66, 0x65, 0x63, 0x79, 0x63,
	0x6c, 0x65, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x12, 0x49, 0x2e, 0x6d, 0x61, 0x72,
	0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73,
	0x2e, 0x61, 0x70, 0x69, 0x2e, 0x6c, 0x69, 0x66, 0x65, 0x63, 0x79, 0x63, 0x6c, 0x65, 0x74, 0x65,
	0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x2e, 0x55, 0x70, 0x6c, 0x6f, 0x61, 0x64, 0x4c, 0x69, 0x66,
	0x65, 0x63, 0x79, 0x63, 0x6c, 0x65, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x16, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x22, 0x00, 0x28,
	0x01, 0x12, 0xb7, 0x01, 0x0a, 0x18, 0x47, 0x65, 0x74, 0x4c, 0x69, 0x66, 0x65, 0x63, 0x79, 0x63,
	0x6c, 0x65, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x44, 0x61, 0x74, 0x61, 0x12, 0x4a,
	0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68,
	0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x6c, 0x69, 0x66, 0x65, 0x63, 0x79, 0x63,
	0x6c, 0x65, 0x74, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x2e, 0x47, 0x65, 0x74, 0x4c, 0x69,
	0x66, 0x65, 0x63, 0x79, 0x63, 0x6c, 0x65, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x44,
	0x61, 0x74, 0x61, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x4b, 0x2e, 0x6d, 0x61, 0x72,
	0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73,
	0x2e, 0x61, 0x70, 0x69, 0x2e, 0x6c, 0x69, 0x66, 0x65, 0x63, 0x79, 0x63, 0x6c, 0x65, 0x74, 0x65,
	0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x2e, 0x47, 0x65, 0x74, 0x4c, 0x69, 0x66, 0x65, 0x63, 0x79,
	0x63, 0x6c, 0x65, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x44, 0x61, 0x74, 0x61, 0x52,
	0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x00, 0x30, 0x01, 0x42, 0x47, 0x5a, 0x45, 0x67,
	0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x69, 0x6e, 0x66, 0x6f, 0x72, 0x2d,
	0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2f, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x2d, 0x63, 0x6c,
	0x6f, 0x75, 0x64, 0x2f, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2f, 0x70, 0x68, 0x6f, 0x62, 0x6f,
	0x73, 0x2d, 0x61, 0x70, 0x69, 0x2f, 0x70, 0x6b, 0x67, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73,
	0x2f, 0x67, 0x65, 0x6e, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
})

var (
	file_lifecycle_template_proto_rawDescOnce sync.Once
	file_lifecycle_template_proto_rawDescData []byte
)

func file_lifecycle_template_proto_rawDescGZIP() []byte {
	file_lifecycle_template_proto_rawDescOnce.Do(func() {
		file_lifecycle_template_proto_rawDescData = protoimpl.X.CompressGZIP(unsafe.Slice(unsafe.StringData(file_lifecycle_template_proto_rawDesc), len(file_lifecycle_template_proto_rawDesc)))
	})
	return file_lifecycle_template_proto_rawDescData
}

var file_lifecycle_template_proto_enumTypes = make([]protoimpl.EnumInfo, 1)
var file_lifecycle_template_proto_msgTypes = make([]protoimpl.MessageInfo, 9)
var file_lifecycle_template_proto_goTypes = []any{
	(LifecycleTemplateSortableField)(0),      // 0: martiancloud.phobos.api.lifecycletemplate.LifecycleTemplateSortableField
	(*GetLifecycleTemplateByIdRequest)(nil),  // 1: martiancloud.phobos.api.lifecycletemplate.GetLifecycleTemplateByIdRequest
	(*GetLifecycleTemplatesRequest)(nil),     // 2: martiancloud.phobos.api.lifecycletemplate.GetLifecycleTemplatesRequest
	(*CreateLifecycleTemplateRequest)(nil),   // 3: martiancloud.phobos.api.lifecycletemplate.CreateLifecycleTemplateRequest
	(*GetLifecycleTemplateDataRequest)(nil),  // 4: martiancloud.phobos.api.lifecycletemplate.GetLifecycleTemplateDataRequest
	(*GetLifecycleTemplateDataResponse)(nil), // 5: martiancloud.phobos.api.lifecycletemplate.GetLifecycleTemplateDataResponse
	(*UploadLifecycleTemplateRequest)(nil),   // 6: martiancloud.phobos.api.lifecycletemplate.UploadLifecycleTemplateRequest
	(*UploadLifecycleTemplateMetadata)(nil),  // 7: martiancloud.phobos.api.lifecycletemplate.UploadLifecycleTemplateMetadata
	(*LifecycleTemplate)(nil),                // 8: martiancloud.phobos.api.lifecycletemplate.LifecycleTemplate
	(*GetLifecycleTemplatesResponse)(nil),    // 9: martiancloud.phobos.api.lifecycletemplate.GetLifecycleTemplatesResponse
	(*PaginationOptions)(nil),                // 10: martiancloud.phobos.api.pagination.PaginationOptions
	(ScopeType)(0),                           // 11: martiancloud.phobos.api.scope.ScopeType
	(*ResourceMetadata)(nil),                 // 12: martiancloud.phobos.api.metadata.ResourceMetadata
	(*PageInfo)(nil),                         // 13: martiancloud.phobos.api.pagination.PageInfo
	(*emptypb.Empty)(nil),                    // 14: google.protobuf.Empty
}
var file_lifecycle_template_proto_depIdxs = []int32{
	10, // 0: martiancloud.phobos.api.lifecycletemplate.GetLifecycleTemplatesRequest.pagination_options:type_name -> martiancloud.phobos.api.pagination.PaginationOptions
	0,  // 1: martiancloud.phobos.api.lifecycletemplate.GetLifecycleTemplatesRequest.sort:type_name -> martiancloud.phobos.api.lifecycletemplate.LifecycleTemplateSortableField
	11, // 2: martiancloud.phobos.api.lifecycletemplate.GetLifecycleTemplatesRequest.scopes:type_name -> martiancloud.phobos.api.scope.ScopeType
	11, // 3: martiancloud.phobos.api.lifecycletemplate.CreateLifecycleTemplateRequest.scope:type_name -> martiancloud.phobos.api.scope.ScopeType
	7,  // 4: martiancloud.phobos.api.lifecycletemplate.UploadLifecycleTemplateRequest.info:type_name -> martiancloud.phobos.api.lifecycletemplate.UploadLifecycleTemplateMetadata
	12, // 5: martiancloud.phobos.api.lifecycletemplate.LifecycleTemplate.metadata:type_name -> martiancloud.phobos.api.metadata.ResourceMetadata
	13, // 6: martiancloud.phobos.api.lifecycletemplate.GetLifecycleTemplatesResponse.page_info:type_name -> martiancloud.phobos.api.pagination.PageInfo
	8,  // 7: martiancloud.phobos.api.lifecycletemplate.GetLifecycleTemplatesResponse.lifecycle_templates:type_name -> martiancloud.phobos.api.lifecycletemplate.LifecycleTemplate
	1,  // 8: martiancloud.phobos.api.lifecycletemplate.LifecycleTemplates.GetLifecycleTemplateByID:input_type -> martiancloud.phobos.api.lifecycletemplate.GetLifecycleTemplateByIdRequest
	2,  // 9: martiancloud.phobos.api.lifecycletemplate.LifecycleTemplates.GetLifecycleTemplates:input_type -> martiancloud.phobos.api.lifecycletemplate.GetLifecycleTemplatesRequest
	3,  // 10: martiancloud.phobos.api.lifecycletemplate.LifecycleTemplates.CreateLifecycleTemplate:input_type -> martiancloud.phobos.api.lifecycletemplate.CreateLifecycleTemplateRequest
	6,  // 11: martiancloud.phobos.api.lifecycletemplate.LifecycleTemplates.UploadLifecycleTemplate:input_type -> martiancloud.phobos.api.lifecycletemplate.UploadLifecycleTemplateRequest
	4,  // 12: martiancloud.phobos.api.lifecycletemplate.LifecycleTemplates.GetLifecycleTemplateData:input_type -> martiancloud.phobos.api.lifecycletemplate.GetLifecycleTemplateDataRequest
	8,  // 13: martiancloud.phobos.api.lifecycletemplate.LifecycleTemplates.GetLifecycleTemplateByID:output_type -> martiancloud.phobos.api.lifecycletemplate.LifecycleTemplate
	9,  // 14: martiancloud.phobos.api.lifecycletemplate.LifecycleTemplates.GetLifecycleTemplates:output_type -> martiancloud.phobos.api.lifecycletemplate.GetLifecycleTemplatesResponse
	8,  // 15: martiancloud.phobos.api.lifecycletemplate.LifecycleTemplates.CreateLifecycleTemplate:output_type -> martiancloud.phobos.api.lifecycletemplate.LifecycleTemplate
	14, // 16: martiancloud.phobos.api.lifecycletemplate.LifecycleTemplates.UploadLifecycleTemplate:output_type -> google.protobuf.Empty
	5,  // 17: martiancloud.phobos.api.lifecycletemplate.LifecycleTemplates.GetLifecycleTemplateData:output_type -> martiancloud.phobos.api.lifecycletemplate.GetLifecycleTemplateDataResponse
	13, // [13:18] is the sub-list for method output_type
	8,  // [8:13] is the sub-list for method input_type
	8,  // [8:8] is the sub-list for extension type_name
	8,  // [8:8] is the sub-list for extension extendee
	0,  // [0:8] is the sub-list for field type_name
}

func init() { file_lifecycle_template_proto_init() }
func file_lifecycle_template_proto_init() {
	if File_lifecycle_template_proto != nil {
		return
	}
	file_metadata_proto_init()
	file_pagination_proto_init()
	file_scope_proto_init()
	file_lifecycle_template_proto_msgTypes[1].OneofWrappers = []any{}
	file_lifecycle_template_proto_msgTypes[2].OneofWrappers = []any{}
	file_lifecycle_template_proto_msgTypes[5].OneofWrappers = []any{
		(*UploadLifecycleTemplateRequest_Info)(nil),
		(*UploadLifecycleTemplateRequest_ChunkData)(nil),
	}
	file_lifecycle_template_proto_msgTypes[7].OneofWrappers = []any{}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: unsafe.Slice(unsafe.StringData(file_lifecycle_template_proto_rawDesc), len(file_lifecycle_template_proto_rawDesc)),
			NumEnums:      1,
			NumMessages:   9,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_lifecycle_template_proto_goTypes,
		DependencyIndexes: file_lifecycle_template_proto_depIdxs,
		EnumInfos:         file_lifecycle_template_proto_enumTypes,
		MessageInfos:      file_lifecycle_template_proto_msgTypes,
	}.Build()
	File_lifecycle_template_proto = out.File
	file_lifecycle_template_proto_goTypes = nil
	file_lifecycle_template_proto_depIdxs = nil
}
